Unit tde46r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE46R_p, DE46R_p;

function tde46r: String;

implementation

function tde46r: String;
var
M,JSTART,IH,IERR,_i :Integer;
X,HMIN,HMAX,EPS,P,H,Y1,Y2,DY1,DY2 :Real;
BUL :Boolean;
YX :Array [0..1] of Real;
DYX :Array [0..1] of Real;
Z :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RFN :Array [0..1] of Real;
RF :Array [0..1] of Real;
YP :Array [0..1] of Real;
DYP :Array [0..1] of Real;
ZP :Array [0..1] of Real;
label
_6,_102,_103,_104,_20;
begin
Result := '';  {   }
M := 2;
YX[0] := 1.0;
YX[1] := -1.0;
DYX[0] := 1.5;
DYX[1] := -0.5;
X := 0.0;
JSTART := 0;
HMIN := 1.E-11;
HMAX := 0.1;
EPS := 0.0001;
P := 100.0;
H := 0.01;
BUL :=False;
IH := 0;
_6:
DE46R(FDE46R,M,JSTART,HMIN,HMAX,EPS,P,YX,DYX,X,H,BUL,Z,DELTY,DF,
     RFN,RF,YP,DYP,ZP,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
if ( IERR <> 0 ) 
 then goto _20;
IH := IH+1;
Y1 := Sin(X)+Cos(X)+0.5*X;
Y2 := -Sin(X)-Cos(X)+0.5*X;
DY1 := Cos(X)-Sin(X)+0.5;
DY2 := -Cos(X)+Sin(X)+0.5;
Result := Result + Format(' %20.16f',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[YX[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f %20.16f %20.16f',
 [Y1,Y2,H]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[DYX[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f %20.16f ',
 [DY1,DY2]) + #$0D#$0A;
case IH of
 1: goto _6;
 2: goto _6;
 3: goto _102;
 4: goto _103;
 5: goto _104;
 6: goto _6;
 7: goto _20;
end;
_102:
JSTART := -1;
H := -0.005;
goto _6;
_103:
JSTART := -1;
H := 0.02;
goto _6;
_104:
JSTART := -1;
H := 0.01;
goto _6;
_20:
UtRes('tde46r',Result);  {     tde46r.res }
exit;
end;

end.
